<?php

namespace BitApps\PiPro\src\Integrations\GeoDirectory;

use BitApps\Pi\src\Integrations\HookRegisterInterface;

if (!\defined('ABSPATH')) {
    exit;
}

class GeoDirectoryHooks implements HookRegisterInterface
{
    public function register(): array
    {
        return [
            'newPlaceAdded' => [
                'hook'          => 'geodir_post_published',
                'callback'      => [GeoDirectoryTrigger::class, 'newPlaceAdded'],
                'priority'      => 10,
                'accepted_args' => 2,

            ]
        ];
    }
}
